<?php
add_action('init', 'remheadlink');
function remheadlink() {
	remove_action('wp_head', 'wp_generator');
	remove_action('wp_head', 'rsd_link');
	remove_action('wp_head', 'wlwmanifest_link');
	remove_action( 'wp_head',  'noindex',  1  );
}
/* 
	function mwp_option 
	get settings option from NewsBT desktop theme
	don't remove this function 
*/
function mwp_option( $option ) {
		$options = get_option( 'mwp_newsbt' );
		if ( isset( $options[$option] ) )
			return $options[$option];
		else
			return false;
	}

/* disbale wordpress auto include jquery library */
add_filter( 'wp_default_scripts', 'dequeue_jquery_migrate' );
function dequeue_jquery_migrate( &$scripts){
	if(!is_admin()){
		$scripts->remove( 'jquery');
		
	}
}

/* for custom single post */
define('SINGLE_PATH', TEMPLATEPATH . '/single');
add_filter('single_template', 'my_single_template');
function my_single_template($single) {
    global $wp_query, $post;
    foreach((array)get_the_category() as $cat) :
    if(file_exists(SINGLE_PATH . '/single-cat-' . $cat->slug . '.php'))
    return SINGLE_PATH . '/single-cat-' . $cat->slug . '.php';
    elseif(file_exists(SINGLE_PATH . '/single.php'))
    return SINGLE_PATH . '/single.php';
    endforeach;
}

/*
 * Desciption	: Excerpt or Content Word Limit in WordPress: Redux
 * Author 		: c.bavota
 * Source		: http://bavotasan.com/2009/limiting-the-number-of-words-in-your-excerpt-or-content-in-wordpress/
 *
*/
function content($limit) {
  	global $more;
	$more = -1;
	$content = explode(' ', get_the_content(), $limit);
		if (count($content)>=$limit) {
		array_pop($content);
    $content = implode(" ",$content).'...';
		} else {
    $content = implode(" ",$content);
	}	
	$content = preg_replace('/\[.+\]/','', $content);
	$content = apply_filters('the_content', $content); 
	$content = str_replace(']]>', ']]&gt;', $content);
  	$content = strip_tags($content);
	$content = strip_shortcodes($content);
	return $content;
}

/* 
 * Desciption	: Title limit words
 * Developed by	: Mouad Achemli
 * Source 		: http://snipplr.com/view/12987/
 * 
*/
function short_title($string, $word_limit) { 
	$words = explode(' ', $string);
	$count_word = count($words); 
	if ($count_word  <= $word_limit) {
	return $string;
	} else {
	return implode(' ', array_slice($words, 0, $word_limit)).'...';
	}
}

/*
 * Function Description	: WordPress Pagination
 * Author Name			: kriesi
 * Function Source		: http://www.kriesi.at/archives/how-to-build-a-wordpress-post-pagination-without-plugin
 * Note					: this function is important do not remove from here
 *
*/
function kriesi_pagination($pages = '', $range = 2) {  
		
	$showitems = ($range * 2)+1;
	global $paged;
	if(empty($paged)) $paged = 1;

	if($pages == '') {
		global $wp_query;
		$pages = $wp_query->max_num_pages;
		if(!$pages) {
			$pages = 1;
		}
	}   

	if(1 != $pages) {	
		echo "<div class='pagination'>";
		if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>الأولى</a>";
		if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";
		for ($i=1; $i <= $pages; $i++) {
			if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) {		
				echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";		
			}		
		}
		if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>الأخيرة</a>";
		echo "</div>\n";
	}
}

/*	
 * Function Description	: make insert of image and define size easy in dev
 * Author Name			: Mouad Achemli
 * Function Source		: http://www.mwordpress.net
 * Note					: this function is important do not remove from here
 *
*/

function mwp_thumb_size_mob($class, $width, $height) {

	if (mwp_option('thumbnail_type') == '1') {
		$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $type );
		$url = $thumb['0'];
		?><img src="<?php echo $url; ?>" alt="<?php the_title(); ?>" class="maxed img-responsive <?php echo $class; ?>" /><?php
	} elseif (mwp_option('thumbnail_type') == '2') {
		image_post_simple_mobile_2(mwp_option('custom_field_name'));
	} elseif (mwp_option('thumbnail_type') == '3') {
		image_post_resized_mobile_2(mwp_option('custom_field_name'));
	} elseif (mwp_option('thumbnail_type') == '4') {
		?><img alt="<?php the_title(); ?>" src="<?php bloginfo('siteurl'); ?>/wp-content/themes/<?php echo get_option('template'); ?>/timthumb.php?link=<?php getImage_2('1'); ?>&amp;w=<?php  echo $width; ?>&amp;=<?php  echo $height; ?>&amp;zc=0&amp;s=1" class="maxed img-responsive <?php echo $class; ?>" /><?php
	} elseif(mwp_option('thumbnail_type') == '5') {
		?><img alt="<?php the_title(); ?>" src="<?php echo getImage_external_2('1'); ?>" class="maxed img-responsive <?php echo $class; ?>" /><?php
	} elseif (mwp_option('thumbnail_type') == '6') {
		$img = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
		$urlz = $img['0'];
		?><img alt="<?php the_title(); ?>" src="<?php bloginfo('siteurl'); ?>/wp-content/themes/<?php echo get_option('template'); ?>/timthumb.php?link=<?php echo $urlz; ?>&amp;w=<?php  echo $width; ?>&amp;h=<?php  echo $height; ?>&amp;zc=0&amp;s=1" class="maxed img-responsive<?php echo $class; ?>" /><?php
	}
		
}
function getImage_external_2() {

	global $post, $posts;
	$first_img = '';
	ob_start();
	ob_end_clean();
	$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
	$first_img = $matches [1] [0];

	if(empty($first_img)){
		$first_img = mwp_option('thumbnail_default');
	}
	return $first_img;
}

/*
 * Function Description	: Get Images Attached to a Post
 * Author Name			: John Crenshaw
 * Devlopped By			: Mouad Achemli (just add default thumbnail) :p
 * Function Source		: http://www.rlmseo.com/blog/get-images-attached-to-post/
 * Note					: this function is important do not remove from here
 *
*/

function getImage_2() {
   
	$iPostID = get_the_ID();
    $arrImages =& get_children('post_type=attachment&post_mime_type=image&post_parent=' . $iPostID );
    
	if($arrImages) {
        
		$arrKeys = array_keys($arrImages);
        $iNum = $arrKeys[0];
        $sImageUrl = wp_get_attachment_url($iNum);
		$sImgString = $sImageUrl;
		echo $sImgString;
    
	} elseif(empty($arrImages)){
		
		$sImgString = mwp_option('thumbnail_default');
		echo $sImgString;
	}
	
}
/*
 * Function Description	: ui block (a) or (b) like odd
 * Author Name			: Mouad Achemli
 * Note					: this function is important do not remove from here
 * use in 				: sidebar.widget.video.php
 *
*/
function ui_block() {
	global $post_num;
	if ( ++$post_num % 2 )
		$id = 'ui-block-a';
	else
		$id = 'ui-block-b';
	echo $id;
}

if ( ! function_exists( 'shape_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 * @since Shape 1.0
 */
function shape_comment( $comment, $args, $depth ) {
    $GLOBALS['comment'] = $comment;
    switch ( $comment->comment_type ) :
        case 'pingback' :
        case 'trackback' :
    ?>
    <li class="post pingback">
        <p><?php _e( 'Pingback:', '' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', '' ), ' ' ); ?></p>
    <?php
            break;
        default :
    ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
        
		<div id="comment-<?php comment_ID(); ?>" class="comment">
			
			<div class="ui-corner-all">
				<div class="ui-bar ui-bar-a">
				
				<h3><?php printf( __( '%s', '' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?></h3>
				
				<div class="alignleft"><time pubdate datetime="<?php comment_time( 'c' ); ?>"><?php printf( __( '%1$s at %2$s' ), get_comment_date(), get_comment_time() ); ?></time></div>
                    <?php edit_comment_link( __( '(Edit)', '' ), ' ' ); ?>
				</div>
				
				<div class="ui-body ui-body-a">
					
					<div class="comment-author vcard">
						<?php echo get_avatar( $comment, 80 ); ?>
					</div>
					
					<p><?php comment_text(); ?></p>
					
					<div class="reply">
						<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
					</div>
					
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<em><?php _e( 'Your comment is awaiting moderation.' ); ?></em>
						<br />
					<?php endif; ?>
					
				</div>
				
			</div>
			
        </div><!-- #comment-## -->
			
 
    <?php
            break;
    endswitch;
}
endif; // ends check for shape_comment()

function write_breadcrumb() {
        global $post;
        global $posts;
	$home = get_option('home');
	$pid = $post->ID;
    $trail = '<a href="'.$home.'">الصفحة الرئيسية</a>';
 
    if (is_front_page()) :
    elseif (is_page()) :
        $bcarray = array();
        $pdata = get_post($pid);
        $bcarray[] = " &raquo; ".$pdata->post_title."\n";
        while ($pdata->post_parent) :
            $pdata = get_post($pdata->post_parent);
            $bcarray[] = " &raquo; <a href='".get_permalink($pdata->ID)."'>".$pdata->post_title."</a>\n";
        endwhile;
        $bcarray = array_reverse($bcarray);
        foreach ($bcarray AS $listitem) :
            $trail .= $listitem;
        endforeach;
    elseif (is_single()) :
        $pdata = get_the_category($pid);
        $data = get_category_parents($pdata[0]->cat_ID, TRUE, ' &raquo; ');
 
        $trail .= " &raquo; ".substr($data,0,-8);
    endif;
 
    return $trail;
}
	
include 'core/sc/video-shortcode.php';
include 'core/load.posts.php';
include 'core/notice.php';

?>